Subject: bug#45432: Use both --include and --exclude at the same time

From: "Fred .Flintstone" <[email-masked]>
Date: Fri, 25 Dec 2020 14:17:32 +0100

Hi,

It seems --exclude does nothing when --include is used. It would be useful
to be able to use both together, in order to do things such as recusively
grepping files of a certain file extension while excluding certain
directories.

Example:
$ grep --recursive --include="*.cs" --exclude="*/tests/*"